Learn more Shop now Shop now Shop now Shop now Shop now Shop now Learn More Shop now Learn more Shop Fire Shop Kindle Amazon Music Unlimited for Family Shop now Shop Women's Shop Men's

Sort: Oldest first | Newest first
Showing 1-5 of 5 posts in this discussion
Initial post: 1 Dec 2013, 11:40:46 GMT
is this game compatible with the DSI ? thanks

In reply to an earlier post on 4 Dec 2013, 07:37:57 GMT
Sir Morosus says:
In most cases it isn't, because the 3ds is a more recent model than the dsi. The easiest way to be certain is to check the product page on club-nintendo.com. When you choose this game it will say on which version of nintendo's handheld this game will be compatible with. Hope this helps.

In reply to an earlier post on 4 Dec 2013, 07:41:59 GMT
Last edited by the author on 4 Dec 2013, 07:42:19 GMT
Sir Morosus says:
Here you go: http://www.nintendo.co.uk/Games/Nintendo-3DS/Angry-Birds-Star-Wars-824890.html. To the right, underneath it says also compatible with 2ds, so apparently it won't work on a dsi.

In reply to an earlier post on 4 Dec 2013, 09:07:53 GMT
thanks for info..shame as son is mad about Angry Birds..

In reply to an earlier post on 4 Dec 2013, 10:06:36 GMT
Sir Morosus says:
Yeah it's a shame, but companies want to push customers as much as possible to buy new hardware. Sadly this how it works.
‹ Previous 1 Next ›
[Add comment]
Add your own message to the discussion
To insert a product link use the format: [[ASIN:ASIN product-title]] (What's this?)
Prompts for sign-in
 


 

This discussion

Participants:  2
Total posts:  5
Initial post:  1 Dec 2013
Latest post:  4 Dec 2013

New! Receive e-mail when new posts are made.
Tracked by 2 customers

This discussion is about